{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "ldz:levitation_tube",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/particle/particles"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 50,
				"max_particles": 150
			},
			"minecraft:emitter_lifetime_expression": {
				"activation_expression": 1
			},
			"minecraft:emitter_shape_box": {
				"offset": [0, 25, 0],
				"half_dimensions": [2.5, 25, 2.5],
				"direction": "outwards"
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "Math.random(3, 3.6)"
			},
			"minecraft:particle_initial_speed": 0,
			"minecraft:particle_motion_dynamic": {
				"linear_drag_coefficient": 0.49
			},
			"minecraft:particle_appearance_billboard": {
				"size": ["(variable.particle_random_1 * 0.25f + 0.25f) * 0.2", "(variable.particle_random_1 * 0.25f + 0.25f) * 0.2"],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"flipbook": {
						"base_UV": [56, 88],
						"size_UV": [8, 8],
						"step_UV": [-8, 0],
						"frames_per_second": 8,
						"max_frame": 8,
						"stretch_to_lifetime": true
					}
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age / v.particle_lifetime",
					"gradient": {
						"0.0": "#FF021818",
						"0.15": "#ffffffff",
						"0.85": "#FF911CEC"
					}
				}
			}
		}
	}
}